Storyden
Categories

Category List

Get a list of all categories on the site.

GET
/categories

Get a list of all categories on the site.

Authorization

cookiestoryden-session<token>

Response Body

OK

application/json
  1. response
categories*array<>
Example Request
curl -X GET 'https://example.com/api/categories'
Example Response
{  "categories": [    {      "id": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deletedAt": "2019-08-24T14:15:22Z",      "misc": {},      "name": "string",      "slug": "string",      "description": "string",      "colour": "string",      "sort": 0,      "parent": "string",      "cover_image": {        "id": "string",        "filename": "string",        "path": "string",        "mime_type": "string",        "width": 0,        "height": 0,        "parent": {}      },      "children": [],      "meta": {},      "postCount": 0    }  ]}